Closed Bug 1717673 Opened 2 years ago Closed 1 year ago

Nvidia Wayland Empty Window

Categories

(Core :: Graphics: WebRender, defect, P3)

Firefox 91
defect

Tracking

()

RESOLVED DUPLICATE of bug 1646135

People

(Reporter: Vash63, Unassigned)

References

(Blocks 2 open bugs)

Details

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101 Firefox/91.0

Steps to reproduce:

Launch Firefox with MOZ_ENABLE_WAYLAND=1 MOZ_WEBRENDER=1

Actual results:

Firefox loads an empty window

Expected results:

Firefox displays content. This was the case with Firefox about a year ago, this regressed at some point. I did not test it frequently as up until the recent Nvidia 470 series drivers, Xwayland wasn't available so I used X11 as my primary desktop.

This is the furthest mozregression could get, further builds were not available due to the age of the regression:

6:42.71 INFO: Narrowed nightly regression window from [2020-04-20, 2020-04-22] (2 days) to [2020-04-20, 2020-04-21] (1 days) (~0 steps left)
6:42.71 INFO: Got as far as we can go bisecting nightlies...
6:42.71 INFO: Last good revision: 272e82616218411bfb0b89ef7c710cd65830ece1 (2020-04-20)
6:42.71 INFO: First bad revision: 263963426b561b2aa687aeeaeddc4fd93fff9e57 (2020-04-21)
6:42.71 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=272e82616218411bfb0b89ef7c710cd65830ece1&tochange=263963426b561b2aa687aeeaeddc4fd93fff9e57

6:42.71 INFO: Switching bisection method to taskcluster
6:42.71 INFO: Getting mozilla-central builds between 272e82616218411bfb0b89ef7c710cd65830ece1 and 263963426b561b2aa687aeeaeddc4fd93fff9e57

The Bugbug bot thinks this bug should belong to the 'Core::Widget: Gtk' component, and is moving the bug to that component. Please revert this change in case you think the bot is wrong.

Component: Untriaged → Widget: Gtk
Product: Firefox → Core

I should also note that without MOZ_WEBRENDER=1, it works with llvmpipe. With Xwayland-git (Nvidia support hasn't landed in a stable Xwayland yet) it works fine MOZ_WEBRENDER and uses the Nvidia GL driver as expected.

Also as mentioned with the mozregression above, using the Nightly build from 2020-04-20 I confirmed in about:support that both hardware WebRender with Nvidia drivers and native Wayland Window Protocol were in use.

Does the recent fix in EGL-Wayland solves the bug?

Blocks: wayland
Component: Widget: Gtk → Graphics: WebRender
Priority: -- → P3

I can confirm the latest nightly build works, not sure when it was fixed precisely though.

Pretty sure this was fixed in bug 1646135 (https://phabricator.services.mozilla.com/D118743 - it was landed, despite phabricater claiming otherwise, see https://phabricator.services.mozilla.com/D118743#3892930).

Status: UNCONFIRMED → RESOLVED
Closed: 1 year ago
Resolution: --- → DUPLICATE
You need to log in before you can comment on or make changes to this bug.